<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$peticion='SGAPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#BUSQUEDACONTENEDOR#'.$_SESSION['almacen'].';'.$_SESSION['orden']['Empresa'].';'.$_SESSION['orden']['OrdenPreparacion'].';'.$_SESSION['parametros'];

$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$_SESSION['otrosContenedores']=array();

?>
<p>Todas las ubicaciones<br />con este producto:</p>
<table class="tablaFormateada">
<tr>
	<th>Ubicación</th>
    <?php if($_SESSION['gestionPaletizado']=='S') { ?>
    <th>Palet</th><?php } ?>
    <th>Stock</th>
    <?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
</tr>
<?php
foreach($resultado as $contenedor) {
	$_SESSION['otrosContenedores'][]=$contenedor;
	?>
	<tr>
		<td><?php if($contenedor['UbicacionAlias']) echo $contenedor['UbicacionAlias']; else echo $contenedor['Ubicacion']; ?></td>
		<?php if($_SESSION['gestionPaletizado']=='S') { ?><td><?php echo $contenedor['Contenedor']; ?></td><?php } ?>
		<td align="right"><?php echo number_format($contenedor['Stock'],0,',','.'); ?></td>
		<?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo number_format($contenedor['StockCajas'],0,',','.'); ?></td><?php } ?>
	</tr>
	<?php
}
?>
</table>
<p><input type="submit" name="aceptarBusquedaContenedores" id="aceptarBusquedaContenedores" value="Aceptar" class="boton botonSecundario"/></p>
<script>

$(document).ready(function() {

	$('#aceptarBusquedaContenedores').on('click',function(e){
		e.preventDefault();
		$('#popupBusqueda').hide();
		$('#popupBusquedaContenido').hide();
		<?php if($_SESSION['gestionPaletizado']=='S') { ?>
			$('#contenedor').focus();
		<?php } else { ?>
			$('#ubicacion').focus();
		<?php } ?>
	});
	
});

</script>